load aero_mod
load aero_reg
Ts=5;

step_ref_time=50;
step_dist_time=200;
test_length=400;

[tt,xx,yy]=sim('CLscheme');
time=y.time;yout=y.signals.values;uout=u.signals.values;step_refout=step_ref.signals.values;
time2=[time time+Ts]';
time2=time2(:);
yout=[yout yout]';
yout=yout(:);
subplot(2,1,1)
uout=[uout uout]';
uout=uout(:);
subplot(2,1,1)
plot(time2,yout,'k');
hold on
title('Air Heater: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');

axis([0 400 0 1.2])
grid on
subplot(2,1,2)
plot(time2,uout,'k');
title('Air Heater: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([0 400 0 2.5])
grid on

load aero_mod2

[tt,xx,yy]=sim('CLscheme');
time=y.time;yout=y.signals.values;uout=u.signals.values;
subplot(2,1,1)
hold on
time2=[time time+Ts]';
time2=time2(:);
yout=[yout yout]';
yout=yout(:);
plot(time2,yout,'k:','linewidth',2);
step_refout=[step_refout step_refout]';
step_refout=step_refout(:);
plot(time2,step_refout,'k');
legend('Model 1','Model 2',0)


subplot(2,1,2)
hold on
uout=[uout uout]';
uout=uout(:);
plot(time2,uout,'k:','linewidth',2);



