load fig_8_23_data

time=[100:1:500]';
ref=data(100:500,2);
yout=data(100:500,3);
uout=data(100:500,4);

subplot(2,1,1)
time2=[time (time+1)]';
time2=time2(:);
yout=[yout yout]';
yout=yout(:);
subplot(2,1,1)
uout=[uout uout]';
uout=uout(:);
plot(time,ref,'k');
hold on
plot(time2,yout,'k','linewidth',2);
title('DC Motor: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('Spec. : {\omega_{0}} = 75 rad/sec, {\zeta} = 0.9','Reference',4)
axis([100 500 2.8 4.2])

grid on
subplot(2,1,2)
plot(time2,uout,'k','linewidth',2);
title('DC Motor: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([100 500 2.5 4])
grid on




