load fig_8_27_data

y=data(1:254,1);
u=data(1:254,2);
[V,S,VS]=estorderiv(y,u,4);
plot([0:1:4]',V,'k','linewidth',2);
hold on
plot([0:1:4]',VS,'k:','linewidth',2);
axis([0 4 0 0.5])
title('DC Motor : Model (without Integrator) Complexity Estimation','FontSize',12,'FontWeight','Bold')
legend('Error criterion (IV)','Complexity estimation criterion',1)
xlabel('Complexity (order)','FontSize',12,'FontWeight','Bold');
