A = [1 -2.104942  1.048514  0.338362  0.460008 -1.514238  0.798785];
B = [0 0.006402   0.014594  -0.069755 0.044056 0.038248 -0.007056];

figure,[P,Z] = pzmap(filt(B,A,0.05));
plot(real(P),imag(P),'kx','markersize',8,'linewidth',2);
hold on
plot(real(Z),imag(Z),'ko','markersize',6,'linewidth',2);
plot([-5 2.5],[0 0],'k')
plot([0 0],[-3 3],'k')
title('Flexible Robot Arm : Pole-Zero Map','FontSize',12,'FontWeight','Bold');
xlabel('Real Axis','FontSize',12,'FontWeight','Bold');
ylabel('Imag Axis','FontSize',12,'FontWeight','Bold');
legend('Poles','Zeros')
grid on
zgrid([],[])
zpchart(gca)
axis([-5 2 -2 2])