load reptr1

ref=M(:,1);
u=M(:,2);
y=M(:,3);
time=t;


subplot(2,1,1)

plot(t,y,'k','linewidth',2)
hold on
plot(t,ref,'k','linewidth',1)

title('Air Heater: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
legend('Spec. : {\omega_{0}} = 0.136 rad/sec, {\zeta} = 0.9','Reference',3)
axis([80 300 2.9 3.5])
grid on

subplot(2,1,2)
plot(time,u,'k','linewidth',2);
title('Air Heater: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 5 s)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([80 300 4.5 6])
grid on







