load fig_8_24_data

time=[340:1:460]';
ref=data(340:460,2);
yout=data(340:460,3);
uout=data(340:460,4);

subplot(2,1,1)
time2=[time (time+1)]';
time2=time2(:);
yout=[yout yout]';
yout=yout(:);
subplot(2,1,1)
uout=[uout uout]';
uout=uout(:);
plot(time,ref,'k');
hold on
plot(time2,yout,'k','linewidth',2);
title('DC Motor: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([340 460 2.2 4.2])

grid on
subplot(2,1,2)
plot(time2,uout,'k','linewidth',2);
title('DC Motor: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 15 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([340 460 2 6])
grid on




