load fig_8_27_data

time=1:1:254;
time=[time' time'+1]';
time=time(:);

y=data(1:254,1);
y=[y y]';
y=y(:);

u=data(1:254,2);
u=[u u]';
u=u(:);



subplot(2,1,1)
plot(time,y,'k','linewidth',2);
title('DC Motor: Differentiated Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([1 254 -0.5 0.5])

grid on
subplot(2,1,2)
plot(time,u,'k','linewidth',2);
title('DC Motor: Signal Excitation','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 120 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([1 254 -2.2 2.2])
grid on




