load fig_8_39_data
Ts=0.05;
 
time=flex_pos(1:50:end,1);
yout=flex_pos(1:50:end,2);

time=[time time+Ts]';
time=time(:);
yout=[yout yout]';
yout=yout(:);
subplot(2,1,1)
uout=flex_input(1:50:end,2);
uout=[uout uout]';
uout=uout(:);

plot(time,yout,'k','linewidth',2);
hold on;
plot([12 18],[0 0],'k');
subplot(2,1,1)
title('Flexible Transmission: Output','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 50 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
%legend('Position','Reference',1)

axis([12 18 -1.5 1.5])
% grid on
subplot(2,1,2)
plot(time,uout,'k','linewidth',2);
title('Flexible Transmission: Control Signal','FontSize',12,'FontWeight','Bold');
xlabel('Time (s) (T_{s} = 50 ms)','FontSize',12,'FontWeight','Bold');
ylabel('Amplitude (Volt)','FontSize',12,'FontWeight','Bold');
axis([12 18 -0.25 0.6])
%grid on




