Ts=0.05;
puls=[0.01:0.001:pi/Ts];
z=exp(i*2*puls);
sys=filt(1,[1 -1],Ts);
[mag1,phase]=bode(sys,puls);
[mag1,phase]=bode(sys,puls);
mag1a=1-mag1;
mag1b=1+mag1;
puls_norm=puls*Ts/(2*pi);
index=find(mag1a>0);
mag1a=mag1a(:);
mag1b=mag1b(:);
hold on
maximum=6*ones(length(puls),1);
delmarg_idx=find(maximum>=20*log10(mag1b));
modmarg_idx=find(maximum<=20*log10(mag1b));


load fig_8_44_data
 
freq=rob_bodeA(:,1);
repA=rob_bodeA(:,2);
repB=rob_bodeB(:,2);
repC=rob_bodeC(:,2);
repD=rob_bodeD(:,2);

plot(freq/20,repA,'k','linewidth',2);
hold on;
plot(freq/20,repB,'k','linewidth',2);
plot(freq/20,repC,'k','linewidth',2);
plot(freq/20,repD,'k','linewidth',2);

plot(puls_norm(modmarg_idx),maximum(modmarg_idx),'k:','linewidth',2)
plot(puls_norm(delmarg_idx),20*log10(mag1b(delmarg_idx)),'k:','linewidth',2)
plot(puls_norm(index),20*log10(mag1a(index)),'k:','linewidth',2)
%plot([12 18],[0 0],'k');
%legend('Controller A','Controller B','Controller C','Controller D','Template',1)


title('Flexible Robot Arm: Syp Magnitude Frequency Responses','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
text(0.15, 7,'Template','FontSize',12,'FontWeight','Bold');
text(0.15, 17,'A','FontSize',12,'FontWeight','Bold');
text(0.01, 11,'B','FontSize',12,'FontWeight','Bold');
text(0.16, -4,'C','FontSize',12,'FontWeight','Bold');
text(0.04, -2,'D','FontSize',12,'FontWeight','Bold');

%legend('H_{R} = 1','H_{R} = 1 + q^{-2}','Template for Modulus margin','Template for Delay margin = T_{s}',4)
%legend('H_{R} = 1','H_{R} = 1 + q^{-2}',4)
%plot([0 0.5],[0 0],'k');
%plot([0.25 0.25],[-25 0],'k-.','linewidth',2);
axis([0 0.5 -30 25])
grid on






