load fig_8_45_data
 
freq=rob_bodeA(:,1);
repA=rob_bodeA(:,2);
repB=rob_bodeB(:,2);
repC=rob_bodeC(:,2);
repD=rob_bodeD(:,2);
freq_template=rob_templ(:,1);
template=rob_templ(:,2);
template=[15 template' 10]';
freq_template=[0 freq_template'/20 0.5]';
plot(freq/20,repA,'k','linewidth',2);
hold on;
plot(freq/20,repB,'k','linewidth',2);
plot(freq/20,repC,'k','linewidth',2);
plot(freq/20,repD,'k','linewidth',2);
plot(freq_template,template,'k--','linewidth',2);

%plot([12 18],[0 0],'k');
%legend('Controller A','Controller B','Controller C','Controller D','Template',1)


title('Flexible Robot Arm: Sup Magnitude Frequency Responses','FontSize',12,'FontWeight','Bold');
xlabel('Frequency (f/f_{s})','FontSize',12,'FontWeight','Bold');
ylabel('Magnitude (dB)','FontSize',12,'FontWeight','Bold');
text(0.15, 17,'Template','FontSize',12,'FontWeight','Bold');
text(0.13, 42,'A','FontSize',12,'FontWeight','Bold');
text(0.11, 22,'B','FontSize',12,'FontWeight','Bold');
text(0.3, 15,'C','FontSize',12,'FontWeight','Bold');
text(0.16, -4,'D','FontSize',12,'FontWeight','Bold');

%legend('H_{R} = 1','H_{R} = 1 + q^{-2}','Template for Modulus margin','Template for Delay margin = T_{s}',4)
%legend('H_{R} = 1','H_{R} = 1 + q^{-2}',4)
%plot([0 0.5],[0 0],'k');
%plot([0.25 0.25],[-25 0],'k-.','linewidth',2);
axis([0 0.5 -30 60])
grid on






